Subject: Re: [PATCH net] net: Fix undefined behavior in netdev name allocation

From: Simon Horman <[email-masked]>
Date: Wed, 15 Nov 2023 09:28:21 +0000

On Mon, Nov 13, 2023 at 04:01:23PM +0200, Gal Pressman wrote:
> On 13/11/2023 11:53, Simon Horman wrote:
> > On Mon, Nov 13, 2023 at 10:35:44AM +0200, Gal Pressman wrote:
> >> Cited commit removed the strscpy() call and kept the snprintf() only.
> >>
> >> When allocating a netdev, 'res' and 'name' pointers are equal, but
> >> according to POSIX, if copying takes place between objects that overlap
> >> as a result of a call to sprintf() or snprintf(), the results are
> >> undefined.
> >>
> >> Add back the strscpy() and use 'buf' as an intermediate buffer.
> >>
> >> Fixes: 9a810468126c ("net: reduce indentation of __dev_alloc_name()")
> > 
> > Hi Gal,
> > 
> > perhaps my eyes are deceiving me, but I wonder if this fixes the following:
> > 
> >   7ad17b04dc7b ("net: trust the bitmap in __dev_alloc_name()")
> 
> Thanks Simon, you're right.
> 
> Should I resubmit?

I guess that it is not strictly necessary,
but it might be a good idea as I imagine it makes things
slightly easier for the maintainers.

In any case, thanks for confirming and with this changed (somehow)
this patch looks good to me.

Reviewed-by: Simon Horman <[email-masked]>